Bug 2693 - Revised Review steps for Reviewers
Revised Review steps for Reviewers
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: Reviewers
2.x
Macintosh Mac OS X 10.0
: P1 normal
Assigned To: PKP Support
http://pkp.sfu.ca/ojs/demo/present/in...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-03 16:04 PST by John Willinsky
Modified: 2013-05-29 15:10 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Layout of Review Steps (115.00 KB, application/msword)
2007-03-03 16:06 PST, John Willinsky
Details
Correct comment escaping (1.67 KB, patch)
2007-06-21 10:55 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Willinsky 2007-03-03 16:04:07 PST
RE FORTHCOMING ATTACHMENT
As before, Submit to Editor does not work if there is no text entered (or no files haev been uploaded), and there is no recommendation.
On clicking Save, prior to submitting, an "OK" warning should come up: "Be sure to submit review and recommendation to editor"
Reviewer Guidelines now on its own page. 

Add to Setup 2.3
Reviewers Recommending Reviewers
[  ] Invite reviewers who decline review requet to recommend two reviewers.
THIS WILL WORK AS SHOWN IN ATTACHMENT
Comment 1 John Willinsky 2007-03-03 16:06:10 PST
Created attachment 134 [details]
Layout of Review Steps

This replaces current Review Steps. Saved Review should have None, prior ro first saved review.
Comment 2 John Willinsky 2007-03-06 21:33:51 PST
Current review textbox is too small; it needs its capacity increased with new layout to, say, 2000 words

> On Tue, 06 Mar 2007 15:22:19 -0800
>   "Finlay McAlister" <Finlay.McAlister@ualberta.ca> wrote:
>> Dear Claire,
>> 
>> I have now completed my review of "A report from the 
>> front lines" for Open
>> Medicine and have submitted my recommendation, 
>> "Revisions Required."  I had
>> trouble pasting all of my comments into the box on the 
>> website as it seemed
>> to only permit the first 5 of 8 paragraphs to upload, 
>> but maybe it did all
>> upload and only showed 5 paras when I previewed what I'd 
>> typed.  In any
>> case, I also attached the word document using the 
>> "upload" feature. 
>> Thanks,
>> 
>> Finlay McAlister
Comment 3 Alec Smecher 2007-06-14 10:21:53 PDT
This is potentially because the review box allows limited HTML, so characters like < need to be escaped. Should reviews be allowed in HTML? If so, TinyMCE should be encouraged here. (We should be including TinyMCE with 2.2 anyway.)
Comment 4 John Willinsky 2007-06-14 23:23:17 PDT
Reviews do not need to be in HTML, except that paragraphing and subtitles need to be respected re an implied <br> with every return.
Comment 5 Alec Smecher 2007-06-21 10:55:37 PDT
Created attachment 226 [details]
Correct comment escaping
Comment 6 Alec Smecher 2007-06-21 10:58:42 PDT
Comments 2 through 5 addressed; original entry, comment #1, and attachment #134 [details] still need to be implemented.
Comment 7 Alec Smecher 2007-10-01 15:45:45 PDT
Deferring the remainder from 2.2.
Comment 8 Alec Smecher 2013-05-29 15:10:24 PDT
Zombie entry; superseded by 3.0 UI/UX work.